This API endpoint returns paginated lists of characteristics. Data is sorted alphabetically by code. Pagination is fixed at 500 objects per page. An empty response indicates the final page.
Rate limit range : Standard
Query parameters
-
The continuation token which was received in the previous request. It contains information on the page to fetch. If not present, then the first page of results will be returned.
GET
/eTech/rest/ws/staff/v1/characteristics
curl \
--request GET 'https://ws-eu1.praxedo.com/eTech/rest/ws/staff/v1/characteristics' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
A list which has more pages to be loaded
{
"continuationToken": "c2FqZGhmYmtrMzQ1YiBrZiA5MyBrYmdrcTg3MjMgazg5bm4gICAwNCAgbmVpcnQ4NzkzbiBnb3A4NA==",
"data": [
{
"characteristicCode": "CRANE_20M",
"name": "Crane 20M",
"lastUpdate": "2025-11-09 23:30:00 UTC"
},
{
"characteristicCode": "CRANE_30M",
"name": "Crane 30M",
"lastUpdate": "2025-11-09 23:30:00 UTC"
},
{
"characteristicCode": "CRANE_ELEC",
"name": "Electric crane",
"lastUpdate": "2025-11-09 23:30:00 UTC"
},
{
"characteristicCode": "CRANE_THERM",
"name": "Thermic crane",
"lastUpdate": "2025-11-09 23:30:00 UTC"
}
]
}
{
"continuationToken": null,
"data": [
{
"characteristicCode": "CRANE_20M",
"name": "Crane 20M",
"lastUpdate": "2025-11-09 23:30:00 UTC"
},
{
"characteristicCode": "CRANE_30M",
"name": "Crane 30M",
"lastUpdate": "2025-11-09 23:30:00 UTC"
},
{
"characteristicCode": "CRANE_ELEC",
"name": "Electric crane",
"lastUpdate": "2025-11-09 23:30:00 UTC"
},
{
"characteristicCode": "CRANE_THERM",
"name": "Thermic crane",
"lastUpdate": "2025-11-09 23:30:00 UTC"
}
]
}
{
"continuationToken": null,
"data": []
}
Response examples (400)
{
"errors": [
{
"code": "referentials.continuationToken.invalid",
"message": "The provided continuation token does not respect the expected format."
}
],
"errorReference": "59ddc09a23159395367307ab95b1c41a"
}
Response examples (401)
401 unauthorized
{
"errors": [
{
"code": "unauthorized.nocredentials",
"message": "No credentials."
}
],
"errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
"errors": [
{
"code": "unauthorized.badcredentials",
"message": "Bad Credentials."
}
],
"errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
"errors": [
{
"code": "access.forbiden",
"message": "You don't have the rights to access this resource."
}
],
"errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (429)
{
"errors": [
{
"code": "ratelimiter.toomanyrequest",
"message": "Rejected because of the rate limit definition."
}
],
"errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
"errors": [
{
"code": "internal.server.error",
"message": "Something went wrong."
}
],
"errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}